# Method: accounts.icons.create

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create#body.response_body)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/create#body.aspect)

Uploads a new icon and starts its review process. Generates an `icon_id` and includes it in the icon's resource name, which is the format `accounts/{account_id}/icons/{icon_id}`

Returns HTTP status 400 and doesn't trigger the review process if the icon has any of these conditions:

- Image is not in PNG format, or not convertible to PNG format.
- Size less than 72 pixels
- Size greater than 1200 pixels
- Aspect ratio other than 1:1

### HTTP request

`POST https://travelpartner.googleapis.com/v3/{parent=accounts/*}/icons`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the partner account owning the icon. The format is `accounts/{account_id}`. |

### Request body

The request body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons#Icon`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons#Icon`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).